@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@400;500;700&display=swap');


body {
    font-size: 16px;
    font-weight: 400, 500, 700;
    font-family: 'Rubik', sans-serif;
    position: relative;
    background-color: hsl(270, 20%, 96%);
    overflow: hidden;
}


.left-box {
    width: 435px;
    height: 590px;
    position: absolute;
    background: linear-gradient(225deg, hsl(293, 100%, 63%), hsl(264, 100%, 61%));
    margin-top: -22px;
    /* margin-bottom: 270px; */
    margin-left: -80px;
    border-radius: 0 0 312px 312px;
    z-index: -2;
}

.right-box {
    width: 442px;
    height: 534px;
    margin-top: 84px;
    margin-left: 1050px;
    position: absolute;
    background-color: hsl(270deg 47% 92% / 36%);
    border-radius: 312px 312px 0 0;
    z-index: -2;
}

/* .description {
    display: flex;
} */

.middle-content {
    display: flex;
    justify-content: space-around;
    position: absolute;
}

/* PHONE APP STYLE */
.phone-white {
    width: 230px;
    height: 490px;
    margin-left: -250px;
    margin-top: 63px;
    background-color: hsl(0, 0%, 100%);
    border-radius: 20px;
    box-shadow: 2px 37px 72px -24px #a29797;
    position: absolute;
    z-index: -1;
}
.phone-grey {
    width: 214px;
    height: 472px;
    margin-left: 8px;
    margin-top: 9px;
    /* margin-bottom: 12px; */
    background-color: hsl(270, 20%, 96%);
    border-radius: 18px;
    position: absolute;
    z-index: 1;
}

.small-top {
    width: 120px;
    height: 28px;
    margin-left: 49px;
    margin-top: -8px;
    background-color: hsl(0, 0%, 100%);
    position: absolute;
    border-radius: 0 0 14px 14px;
}

.chat-head {
    width: 211px;
    height: 70px;
    margin-left: 2px;
    border-radius: 20px 20px 8px 8px;
    background: linear-gradient(to right, hsl(264, 100%, 61%) 12%, hsl(293, 100%, 63%) );
    position: absolute;
    z-index: -2;
}

/* TOP LEFT BACK ICON */
.code.icon {
    color: hsl(276deg 77% 93%);
    position: absolute;
    margin-left: 13px;
    margin-top: 40px;
}
.code.icon:before {
    content: '';
    position: absolute;
    width: 6px;
    height: 6px;
    border-left: solid 2px currentColor;
    border-top: solid 2px currentColor;
    -webkit-transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
            transform: rotate(-45deg);
  }
  /* .code.icon:after {
    content: '';
    position: absolute;
    left: 6px;
    width: 8px;
    height: 8px;
    border-bottom: solid 1px currentColor;
    border-right: solid 1px currentColor;
    -webkit-transform: rotate(-45deg);
            transform: rotate(-45deg);
  } */
  /* AVATAR STYLE */
.profile-img {
    width: 11%;
    height: 22px;
    position: absolute;
    margin-top: 32px;
    margin-left: 25px;
    border-radius: 50%;
    border: 1px solid hsl(276deg 77% 93%);
    box-shadow: 0.5px 1px 4px hsl(270, 7%, 64%);

}
/* CHAT APP HEADING */
.app-heading h6 {
    font-size: 10.5px;
    margin-left: 56px;
    margin-top: 31px;
    color: hsl(276deg 77% 93%);
    text-shadow: 1px 1px 0px hsl(270deg 7% 64% / 81%);
}
/* CHAT APP PARAGRAPH */
.app-heading p {
    margin-left: 56px;
    margin-top: -22px;
    font-size: 8px;
    color: hsl(293, 100%, 63%);
    text-shadow: 0 0 #f9d7fffa;
}

/* DOTTED MENU ICON */
.more-vertical-solid.icon {
    color: hsl(276deg 77% 93%);
    position: absolute;
    margin-left: 190px;
    margin-top: -20px;
    width: 2px;
    height: 2px;
    border-radius: 50%;
    border: solid 1px currentColor;
    background-color: currentColor;
}
.more-vertical-solid.icon:before {
  content: '';
  position: absolute;
  left: -1px;
  top: -6px;
  width: 2px;
  height: 2px;
  border-radius: 50%;
  border: solid 1px currentColor;
  background-color: currentColor;
}
.more-vertical-solid.icon:after {
  content: '';
  position: absolute;
  left: -1px;
  top: 4px;
  width: 2px;
  height: 2px;
  border-radius: 50%;
  border: solid 1px currentColor;
  background-color: currentColor;
}

/* MOBILE CHAT BOX */

/* USER1 */
.chat-left1 {
    background: hsl(270deg 47% 92% / 71%);
    border-radius: 8px 10px 18px 6px;
    margin-top: 78px;
    margin-left: 8px;
    padding: 1px;
    width: 60%;
}
.chat-left2 {
    background: hsl(270deg 47% 92% / 71%);
    border-radius: 8px 10px 18px 6px;
    margin-top: -14px;
    margin-left: 8px;
    padding: 1px;
    width: 60%;
}
.chat-left1 p {
    font-size: 8px;
    color: hsl(276, 55%, 52%);
    padding: 2px 4px 2px 6px;
}
.chat-left2 p {
    font-size: 7px;
    color: hsl(276, 55%, 52%);
    padding: 2px 4px 2px 6px;
}

/* USER2 */
.chat-img {
    display: flex;
    justify-content: space-evenly;
    margin-top: -7px;
}
.dog1 {
    width: 18%;
    border-radius: 14px;
    margin-right: -59px;
}
.dog2 {
    width: 18%;
    border-radius: 14px;
    margin-right: -57px;
}.dog3 {
    width: 18%;
    border-radius: 14px;
    margin-right: -55px;
}

.chat-right1 {
    border-radius: 10px 8px 6px 10px;
    background: hsl(0, 0%, 100%);
    width: 60%;
    padding: 1px;
    margin-left: 77px;
    margin-top: -8px;
    box-shadow: 0px 5px 5px #aaa8ad45;
}
.chat-right1 p {
    font-size: 8px;
    color: hsl(271, 15%, 43%);
    padding: 0 4px;
}
.chat-right2 {
    border-radius: 10px 8px 6px 10px;
    background: hsl(0, 0%, 100%);
    width: 34%;
    padding: 1px;
    margin-left: 131px;
    margin-top: 8px;
    box-shadow: 0px 5px 5px #aaa8ad45;
}
.chat-right2 p {
    font-size: 8px;
    color: hsl(271, 15%, 43%);
    padding: 0 4px;
}

/* USER1 RESPONSE */
.chat-left3 {
    background: hsl(270deg 47% 92% / 71%);
    border-radius: 8px 10px 18px 6px;
    margin-top: -10px;
    margin-left: 8px;
    padding: 1px;
    width: 60%;
}
.chat-left3 p {
    font-size: 8px;
    color: hsl(276, 55%, 52%);
    padding: 2px 10px 2px 10px;
}

.chat-left4 {
    display: flex;
    background: linear-gradient(to right, hsl(293, 100%, 63%) 5%, hsl(264, 100%, 61%) );
    border-radius: 10px 10px 10px 3px;
    margin-top: 5px;
    margin-left: 8px;
    padding: 1px;
    width: 76%;
    height: 30px;
}
.chat-left4 p {
    font-size: 9px;
    padding: 1px 0px 10px 20px;
    color: hsl(276deg 77% 93%);
    text-shadow: 1px 1px 0px hsl(270deg 7% 64% / 81%);
}
.chat-left4 h6 {
    font-size: 13px;
    font-weight: bold;
    margin-top: 8px;
    margin-left: 42px;
    color: white;
    text-shadow: 1px 1px 1px grey;
}

.chat-left5 {
    display: flex;
    background: linear-gradient(to right, hsl(293, 100%, 63%) 5%, hsl(264, 100%, 61%) );
    border-radius: 10px 10px 10px 3px;
    margin-top: 5px;
    margin-left: 8px;
    padding: 1px;
    width: 76%;
    height: 30px;
}
.chat-left5 p {
    font-size: 9px;
    padding: 1px 0px 10px 20px;
    color: hsl(276deg 77% 93%);
    text-shadow: 1px 1px 0px hsl(270deg 7% 64% / 81%);
}
.chat-left5 h6 {
    font-size: 13px;
    font-weight: bold;
    margin-top: 8px;
    margin-left: 55px;
    color: white;
    text-shadow: 1px 1px 1px gray;
}

/* TEXT-BOX */
form {
    position: relative;
    margin-top: -7px;
}
.message-tab {
    position: relative;
    width: 60%;
}
.message-tab input {
    position: absolute;
    border-radius: 24px;
    border: none;
    color: hsl(206, 6%, 79%);
    margin-left: 7px;
    width: 196px;
    height: 29px;
    margin-top: -2px;
    font-size: 10px;
}

.message-tab img{
    position: absolute;
    margin-left: 178px;
    margin-top: 1px;
}

::placeholder {
    color: hsl(206, 6%, 79%);
}
/* MAIN HEADING */
.description h4 {
    font-size: 40px;
    font-weight: 500;
    margin-left: 640px;
    margin-top: 220px;
    color: hsl(271, 36%, 24%);
    
}
/* MAIN BODY PARAGRAPH */
.description p {
    font-size: 17px;
    margin-left: 635px;
    margin-top: -38px;
    padding: 2px 5px 2px 5px;
    line-height: 1.5em;
    color: hsl(270, 7%, 64%);
}
